Package org.jboss.resteasy.spi

## Class Failure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.spi.Failure

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BadRequestException`, `DefaultOptionsMethodException`, `LoggableFailure`, `ReaderException`, `ServiceDiscoveryException`

      public class Failure
      extends RuntimeException

  This exception should only be used by Resteasy integrators. Applications code should use WebApplicationException.

  This is thrown by Restasy runtime when a failure occurs.

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `errorCode` |
    `protected boolean` | `loggable` |
    `protected javax.ws.rs.core.Response` | `response` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Failure​(int errorCode)` |
    `Failure​(String s)` |
    `Failure​(String s, int errorCode)` |
    `Failure​(String s, Throwable throwable)` |
    `Failure​(String s, Throwable throwable, int errorCode)` |
    `Failure​(String s, Throwable throwable, javax.ws.rs.core.Response response)` |
    `Failure​(String s, javax.ws.rs.core.Response response)` |
    `Failure​(Throwable throwable)` |
    `Failure​(Throwable throwable, int errorCode)` |
    `Failure​(Throwable throwable, javax.ws.rs.core.Response response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorCode()` |
    `javax.ws.rs.core.Response` | `getResponse()` |
    `boolean` | `isLoggable()` |
    `void` | `setErrorCode​(int errorCode)` |
    `void` | `setLoggable​(boolean loggable)` |
    `void` | `setResponse​(javax.ws.rs.core.Response response)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          protected int errorCode

    - #### loggable

          protected boolean loggable

    - #### response

          protected javax.ws.rs.core.Response response

  - ### Constructor Detail

    - #### Failure

          public Failure​(String s,
                         javax.ws.rs.core.Response response)

    - #### Failure

          public Failure​(String s,
                         Throwable throwable,
                         javax.ws.rs.core.Response response)

    - #### Failure

          public Failure​(Throwable throwable,
                         javax.ws.rs.core.Response response)

    - #### Failure

          public Failure​(String s,
                         Throwable throwable)

    - #### Failure

          public Failure​(Throwable throwable)

    - #### Failure

          public Failure​(String s)

    - #### Failure

          public Failure​(int errorCode)

    - #### Failure

          public Failure​(String s,
                         int errorCode)

    - #### Failure

          public Failure​(String s,
                         Throwable throwable,
                         int errorCode)

    - #### Failure

          public Failure​(Throwable throwable,
                         int errorCode)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

    - #### setErrorCode

          public void setErrorCode​(int errorCode)

    - #### isLoggable

          public boolean isLoggable()

    - #### setLoggable

          public void setLoggable​(boolean loggable)

    - #### getResponse

          public javax.ws.rs.core.Response getResponse()

    - #### setResponse

          public void setResponse​(javax.ws.rs.core.Response response)